#include <iostream>

using namespace std;

int main() {

	int n;
	cin >> n;
	int q;
	cin >> q;
	int a[n];
	int b[q], c[q];
	for(int i = 1; i <= n; i++){
		cin >> a[i];
	}
	for(int i = 0; i < q; i++){
		cin >> b[i] >> c[i];
	}
	for(int i = 0; i < q; i++){
		cout << 1;
	}
	
	return 0;
}